Bug 172905 - backport ipt_CONNMARK to kernel 2.6.9
backport ipt_CONNMARK to kernel 2.6.9
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-10 19:59 EST by Abe Shelton
Modified: 2012-06-20 12:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:05:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Abe Shelton 2005-11-10 19:59:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:

Iptables module ipt_CONNMARK/ipt_connmark is very useful iptables filter that was accepted into mainline ipv4/netfilter module with linux kernel version 2.6.10. When used in combination of iptables userland module ipp2p (http://www.ipp2p.org/), connmark can be used to rate-limit or measure p2p traffic that traverses a RHEL firewall.

(see http://www.ipp2p.org/docu_en.html and http://www.knowplace.org/pages/howtos/traffic_shaping_with_linux/examples.php)



Version-Release number of selected component (if applicable):
2.6.9-22

How reproducible:
Always

Steps to Reproduce:
1. look for ipt_CONNMARK in RHEL4U2 kernel SRPM
2. 
3.
  

Additional info:

I am testing my own backport of ipt_CONNMARK to RHEL4 at this time, hope to soon have working patches to attach to this bug/enhancement request.
Comment 1 Oliver Schulze L. 2008-01-11 15:40:20 EST
still no CONNMARK in RHEL4 U6, anyone know if this will be backported? Or should
we migrate to RHEL5?
Thanks
Comment 2 Jiri Pallich 2012-06-20 12:05:42 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.